Name: gnustep-make
Version: 1.13.0
Release: alt0.1

Packager: Vitaly Lipatov <lav@altlinux.ru>

Summary: GNUstep Makefile package

License: GPL
Group: Development/Other

Url: http://www.gnustep.org/

Source: ftp://ftp.gnustep.org/pub/gnustep/core/%name-%version.tar.bz2

# Automatically added by buildreq on Sat Nov 05 2005
BuildRequires: gcc-objc libobjc-devel star

#%if %{with docs}
#BuildRequires: gnustep-make-devel
## texi2html >= 1.61 (with -init_file) is included in tetex >= 3
#BuildRequires: tetex >= 1:3.0
#BuildRequires: tetex-dvips
#BuildRequires: tetex-format-latex
#BuildRequires: tetex-format-plain
#BuildRequires: texinfo-texi2dvi
#%endif
Requires: gnustep-dirs
#Conflicts: gnustep-core

%define _prefix		%_libdir/GNUstep
%define gsos		linux-gnu
%ifarch %ix86
%define gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define gscpu		%(echo %_target_cpu | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
This package contains the basic tools needed to run GNUstep
applications.

%description -l pl
Ten pakiet zawiera podstawowe narzdzia potrzebne do uruchamiania
aplikacji GNUstep.

%package devel
Summary: Files needed to develop applications with gnustep-make
Group: Development/Other
Requires: %name = %version-%release

%description devel
The makefile package is a simplistic, powerful and extensible way to
write makefiles for a GNUstep-based project. It allows the user to
write a GNUstep-based project without having to deal with the complex
issues associated with the configuration and installation of the core
GNUstep libraries. It also allows the user to easily create
cross-compiled binaries.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%__autoconf
%configure \
	--disable-flattened \
	--with-tar=tar \
	--with-library-combo=gnu-gnu-gnu

%__make

%if %{with docs}
%__make -C Documentation
%endif

%install
%__make install \
	special_prefix=%buildroot

#libFoundation + friends won't build without that
ln -s Library/Makefiles %buildroot%prefix/System/Makefiles
# hack
#ln -s linux-gnu %buildroot%prefix/System/Library/Makefiles/ix86/none

#%if %{with docs}
#%__make -C Documentation install \
#	GNUSTEP_INSTALLATION_DIR=%buildroot%prefix/System
#%endif

install -d %buildroot/etc/profile.d

# Create profile files
cat > %buildroot/etc/profile.d/GNUstep.sh << EOF
#!/bin/sh
. %prefix/System/Library/Makefiles/GNUstep.sh

if [ ! -d \$GNUSTEP_USER_ROOT ]; then
	mkdir \$GNUSTEP_USER_ROOT
	chmod +rwx \$GNUSTEP_USER_ROOT
	. %prefix/System/Library/Makefiles/GNUstep.sh
fi
EOF

cat > %buildroot/etc/profile.d/GNUstep.csh << EOF
#!/bin/csh
source %prefix/System/Library/Makefiles/GNUstep.csh

test -d \$GNUSTEP_USER_ROOT
if (\$status != 0) then
	mkdir \$GNUSTEP_USER_ROOT
	chmod +rwx \$GNUSTEP_USER_ROOT
	source %prefix/System/Library/Makefiles/GNUstep.csh
endif
EOF

# not (yet?) supported by rpm-compress-doc
find %buildroot%prefix/System/Library/Documentation \
	-type f ! -name '*.html' ! -name '*.css' ! -name '*.gz' | xargs gzip -9nf

#%pre
#if [ -d %prefix/System/Makefiles -a ! -L %prefix/System/Makefiles ]; then
#	[ -d %prefix/System/Library ] || install -d %prefix/System/Library
#	mv -f %prefix/System/Makefiles %prefix/System/Library
#	ln -sf Library/Makefiles %prefix/System/Makefiles
#	echo 'Reinstall gnustep-make and gnustep-make-devel if some files are missing.' >&2
#fi

%files
%doc ChangeLog
%_sysconfdir/GNUstep/
%_sysconfdir/profile.d/*
# GNUstep top-level
#%dir %prefix
%prefix/Local
%dir %prefix/System
%prefix/System/Makefiles
# System domain
%prefix/System/Applications
%dir %prefix/System/Library
%prefix/System/share
%attr(755,root,root) %prefix/System/Tools

# System/Library folder
%prefix/System/Library/ApplicationSupport
%prefix/System/Library/Bundles
%prefix/System/Library/ColorPickers
%prefix/System/Library/Colors
%prefix/System/Library/DocTemplates
#%if %{with docs}
#%docdir %prefix/System/Library/Documentation
#%dir %prefix/System/Library/Documentation
#%endif
%prefix/System/Library/Fonts
%prefix/System/Library/Frameworks
%prefix/System/Library/Headers
%prefix/System/Library/Images
%prefix/System/Library/KeyBindings
%prefix/System/Library/Libraries
%dir %prefix/System/Library/Makefiles
%prefix/System/Library/PostScript
%prefix/System/Library/Services
%prefix/System/Library/Sounds
#%if %{with docs}
#%dir %prefix/System/Library/Documentation/Developer
#%dir %prefix/System/Library/Documentation/Developer/Make
#%prefix/System/Library/Documentation/Developer/Make/ReleaseNotes
#%dir %prefix/System/Library/Documentation/User
#%prefix/System/Library/Documentation/User/GNUstep
#%dir %prefix/System/Library/Documentation/info
#%prefix/System/Library/Documentation/info/*.info*
#%dir %prefix/System/Library/Documentation/man
#%dir %prefix/System/Library/Documentation/man/man1
#%prefix/System/Library/Documentation/man/man1/openapp.1*
#%dir %prefix/System/Library/Documentation/man/man7
#%prefix/System/Library/Documentation/man/man7/GNUstep.7*
#%endif

%attr(755,root,root) %prefix/System/Library/Makefiles/config.*
%prefix/System/Library/Makefiles/tar-exclude-list
%attr(755,root,root) %prefix/System/Library/Makefiles/*.sh
%attr(755,root,root) %prefix/System/Library/Makefiles/*.csh
%dir %prefix/System/Library/Makefiles/%gscpu
#%prefix/System/Library/Makefiles/%gscpu/none
%dir %prefix/System/Library/Makefiles/%gscpu/%gsos
#%attr(755,root,root) %prefix/System/Library/Makefiles/%gscpu/%gsos/user_home
%attr(755,root,root) %prefix/System/Library/Makefiles/%gscpu/%gsos/which_lib

%files devel
#%if %{with docs}
#%docdir %prefix/System/Library/Documentation
#%prefix/System/Library/Documentation/Developer/Make/Manual
#%endif

%prefix/System/Library/Makefiles/*.make
%prefix/System/Library/Makefiles/*.template
%prefix/System/Library/Makefiles/Instance
%prefix/System/Library/Makefiles/Master
%prefix/System/Library/Makefiles/%gscpu/%gsos/gnu-gnu-gnu/*.make
%attr(755,root,root) %prefix/System/Library/Makefiles/install-sh
%attr(755,root,root) %prefix/System/Library/Makefiles/mkinstalldirs

%changelog
* Sun Dec 31 2006 Vitaly Lipatov <lav@altlinux.ru> 1.13.0-alt0.1
- new version 1.13.0 (with rpmrb script)
- fix duplicate GNUStep dir

* Sat Nov 05 2005 Vitaly Lipatov <lav@altlinux.ru> 1.11.1-alt0.1
- initial build for ALT Linux Sisyphus
- spec from PLD Team <feedback@pld-linux.org>
